|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Obsolete Members for Q3CanvasItem

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- Q3CanvasItem class reference

### Public Functions

- bool active () const `(obsolete)`
- bool enabled () const `(obsolete)`
- bool selected () const `(obsolete)`
- bool visible () const `(obsolete)`

## Member Function Documentation

### bool Q3CanvasItem::active () const

Use isActive() instead.

See also setActive().

### bool Q3CanvasItem::enabled () const

Use isEnabled() instead.

See also setEnabled().

### bool Q3CanvasItem::selected () const

Use isSelected() instead.

See also setSelected().

### bool Q3CanvasItem::visible () const

Use isVisible() instead.

See also setVisible().